<?php 
/**
 * The template used for displaying videos and featured images 
 *
 * @package swallow
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php swallow_posted_on(); ?>
		</div><!-- .entry-meta -->
		<div class="post-icon"> 
			<p class="icons-video"></p>
		</div><!-- #post icon -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">

	<!-- featured media the post thumbnail -->
		
		<?php if ( has_post_thumbnail() ) : ?>
		
				<div class="featured-media video">
				
					<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">
					
						<?php the_post_thumbnail('post-image'); ?>
						
						<?php if ( !empty(get_post(get_post_thumbnail_id())->post_excerpt) ) : ?>
										
							<div class="media-caption-container">
							
								<p class="media-caption"><?php echo get_post(get_post_thumbnail_id())->post_excerpt; ?></p>
								
							</div>
							
						<?php endif; ?>
						
					</a>
							
				</div> <!-- /featured-media -->
					
			<?php endif; ?> 

		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'swallow' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php swallow_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->